#pragma once

typedef struct {
	const char         *name;
	float              opacity;
	unsigned int       visible;
	const unsigned int *data;
} Tmj2cLayer;

typedef struct {
	const char         *path;
	unsigned int       width;
	unsigned int       height;
	unsigned int       tilewidth;
	unsigned int       tileheight;
	unsigned int       numlayers;
	const Tmj2cLayer   *layers;
} Tmj2cMap;
